Including function pragma results in compiler version error

1 view (last 30 days)
I have compiled a MATLAB appplication (App Designer 2019b) on a Linux platform. I test the code on a different Linux platform where version 9.7 of the MATLAB Runtime Installer is installed. Some of the code is using the output from the Classification Toolbox. By running the compiled code on the independent linux based platform, it showed that instances of the Classification object could not be loaded. The rest of the program works fine.
To solve this issue, I have followed some of the advice I could find here. Therefore, I have included a function pragma to helping the compiler to find all the dependencies of the Classification Object needed to function properly.
As soon as I test the code where I have included the function pragma, I receive the following error through the Linux terminal:
The installed MATLAB Runtime is not compatible with the application. Reinstall the application or get MATLAB Runtime from www.mathworks.com.
When I remove the lines of code that included the %#function everything works fine again.
What am I doing wrong?

Answers (0)

Categories

Find more on MATLAB Compiler in Help Center and File Exchange

Products


Release

R2019b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by